local mod = Numen
if not mod then return end

local rank = "Rank %d"

local function SpellName(spellID)
	local name = GetSpellInfo(spellID)
	return name
end

mod.totemSpells = {
	-- Totemic call
	[SpellName(36936)] = "Call", -- Totemic Call
	-- Earth
	[SpellName(8143)] = "Earth", -- Tremor Totem
	[SpellName(5730)] = "Earth", -- Stoneclaw Totem
	[SpellName(2484)] = "Earth", -- Earthbind Totem
	[SpellName(8075)] = "Earth", -- Strength of Earth Totem
	[SpellName(8071)] = "Earth", -- Stoneskin Totem
	[SpellName(2062)] = "Earth", -- Earth Elemental Totem
	-- Fire
	[SpellName(30706)] = "Fire", -- Totem of Wrath
	[SpellName(3599)] = "Fire", -- Searing Totem
	[SpellName(8190)] = "Fire", -- Magma Totem
	[SpellName(1535)] = "Fire", -- Fire Nova Totem
	[SpellName(8227)] = "Fire", -- Flametongue Totem
	[SpellName(8181)] = "Fire", -- Frost Resistance Totem
	[SpellName(2894)] = "Fire", -- Fire Elemental Totem
	-- Water
	[SpellName(5675)] = "Water", -- Mana Spring Totem
	[SpellName(5394)] = "Water", -- Healing Stream Totem
	[SpellName(8166)] = "Water", -- Poison Cleansing Totem
	[SpellName(8170)] = "Water", -- Disease Cleansing Totem
	[SpellName(16190)] = "Water", -- Mana Tide Totem
	[SpellName(8184)] = "Water", -- Fire Resistance Totem
	-- Air
	[SpellName(3738)] = "Air", -- Wrath of Air Totem
	[SpellName(8177)] = "Air", -- Grounding Totem
	[SpellName(8835)] = "Air", -- Grace of Air Totem
	[SpellName(8512)] = "Air", -- Windfury Totem
	[SpellName(15107)] = "Air", -- Windwall Totem
	[SpellName(10595)] = "Air", -- Nature Resistance Totem
	[SpellName(25908)] = "Air", -- Tranquil Air Totem
	[SpellName(6495)] = "Air", -- Sentry Totem
	-- Weapon
	[SpellName(8024)] = "Weapon", -- Flametongue Weapon
	[SpellName(8232)] = "Weapon", -- Windfury Weapon
	[SpellName(8017)] = "Weapon", -- Rockbiter Weapon
	[SpellName(8033)] = "Weapon", -- Frostbrand Weapon
	-- Shield
	[SpellName(974)] = "Shield", -- Earth Shield
	[SpellName(24398)] = "Shield", -- Water Shield
	[SpellName(324)] = "Shield", -- Lightning Shield
}
mod.spellPulse = {
	-- Earth
	[SpellName(8143)] = 3, -- Tremor Totem
	[SpellName(5730)] = 2, -- Stoneclaw Totem
	[SpellName(2484)] = 3, -- Earthbind Totem
	-- Fire
	[SpellName(8190)] = 2, -- Magma Totem
	-- Water
	[SpellName(5675)] = 2, -- Mana Spring Totem
	[SpellName(6394)] = 2, -- Healing Stream Totem
	[SpellName(16190)] = 3, -- Mana Tide Totem
}
mod.spellDuration = {
	-- Earth
	[SpellName(8143)] = 120, -- Tremor Totem
	[SpellName(5730)] = 15, -- Stoneclaw Totem
	[SpellName(2484)] = 45, -- Earthbind Totem
	[SpellName(8075)] = 120, -- Strength of Earth Totem
	[SpellName(8071)] = 120, -- Stoneskin Totem
	[SpellName(2062)] = 120, -- Earth Elemental Totem
	-- Fire
	[SpellName(30706)] = 120, -- Totem of Wrath
	[SpellName(3599)] = { -- Searing Totem
		[rank:format(1)] = 30,
		[rank:format(2)] = 35,
		[rank:format(3)] = 40,
		[rank:format(4)] = 45,
		[rank:format(5)] = 50,
		[rank:format(6)] = 55,
		[rank:format(7)] = 60
	},
	[SpellName(8190)] = 20, -- Magma Totem
	[SpellName(1535)] = 5, -- Fire Nova Totem
	[SpellName(8227)] = 120, -- Flametongue Totem
	[SpellName(8181)] = 120, -- Frost Resistance Totem
	[SpellName(2894)] = 120, -- Fire Elemental Totem
	-- Water
	[SpellName(5675)] = 120, -- Mana Spring Totem
	[SpellName(5394)] = 120, -- Healing Stream Totem
	[SpellName(8166)] = 120, -- Poison Cleansing Totem
	[SpellName(8170)] = 120, -- Disease Cleansing Totem
	[SpellName(16190)] = 12, -- Mana Tide Totem
	[SpellName(8184)] = 120, -- Fire Resistance Totem
	-- Air
	[SpellName(3738)] = 120, -- Wrath of Air Totem
	[SpellName(8177)] = 45, -- Grounding Totem
	[SpellName(8835)] = 120, -- Grace of Air Totem
	[SpellName(8512)] = 120, -- Windfury Totem
	[SpellName(15107)] = 120, -- Windwall Totem
	[SpellName(10595)] = 120, -- Nature Resistance Totem
	[SpellName(25908)] = 120, -- Tranquil Air Totem
	[SpellName(6495)] = 300, -- Sentry Totem
}
mod.spellTalents = {
	[SpellName(1535)] = { -- Fire Nova Totem
		["1-9-1"] = {
			duration = "return %d - 1",
		},
		["1-9-2"] = {
			duration = "return %d - 2",
		},
	}
}
